package com.ruoyi.mall.mapper;

import java.util.List;
import com.ruoyi.mall.domain.ReportDraft;

/**
 * 志愿草稿Mapper接口
 * 
 * @author ruoyi
 * @date 2023-11-02
 */
public interface ReportDraftMapper 
{
    /**
     * 查询志愿草稿
     * 
     * @param draftId 志愿草稿主键
     * @return 志愿草稿
     */
    public ReportDraft selectReportDraftByDraftId(Long draftId);

    /**
     * 查询志愿草稿列表
     * 
     * @param reportDraft 志愿草稿
     * @return 志愿草稿集合
     */
    public List<ReportDraft> selectReportDraftList(ReportDraft reportDraft);

    /**
     * 新增志愿草稿
     * 
     * @param reportDraft 志愿草稿
     * @return 结果
     */
    public int insertReportDraft(ReportDraft reportDraft);

    /**
     * 修改志愿草稿
     * 
     * @param reportDraft 志愿草稿
     * @return 结果
     */
    public int updateReportDraft(ReportDraft reportDraft);

    /**
     * 删除志愿草稿
     * 
     * @param draftId 志愿草稿主键
     * @return 结果
     */
    public int deleteReportDraftByDraftId(Long draftId);

    /**
     * 批量删除志愿草稿
     * 
     * @param draftIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteReportDraftByDraftIds(Long[] draftIds);


    /**
     * 根据条件批量删除
     *  根据用户+批次删除(草稿 还未生成报告) 根据报告id删除(已有报告需要再新增)
     */
    int batchDelete(ReportDraft reportDraft);
}
